Subject: Re: bug#51632: Emacs 28: posn-at-x-y fails to take a tab line into account.

From: martin rudalics <[email-masked]>
Date: Sat, 6 Nov 2021 20:22:10 +0100

>> From: martin rudalics <[email-masked]>
 >> Date: Sat, 6 Nov 2021 19:50:23 +0100
 >>
 >>   > (i) emacs -Q
 >>   > (ii) C-u C-h i <and info file> RET
 >>   > (iii) M-: (point) ; Note this value
 >>   > (iv) M-: (posn-at-x-y 0 18) ; Where 18 is the height of your default
 >>   >    font.  Note that the second element of the result matches that from
 >>   >    (iii)
 >>   >
 >>   > (v) M-x tab-bar-mode RET
 >>   > (vi) M-: (posn-at-x-y 0 18) ; This returns the same as (iv).
 >>   >
 >>   > Because of the tab line, (vi) should return the symbol `header-line' in
 >>   > its second element, not the same as (iv).  This is a bug.
 >>
 >> I'm not sure I understand.  'tab-bar-mode' puts a tab bar on top of the
 >> frame.  How is this related to 'posn-at-x-y' which, by default, deals
 >> with the selected window?
 >
 > It should be "tab-line-mode".

In that case I get with emacs -Q on the release branch the following in
my *Messages* buffer:

Composing main Info directory...done
(#<window 3 on *info*> 173 (0 . 0) 0 (#("(dir)Top
" 0 8 (font-lock-face info-header-node)) . 0) 173 (0 . 0) nil (0 . 0) (9 . 18))
Tab-Line mode enabled in current buffer
(#<window 3 on *info*> header-line (8 . 18) 0 (#("No next, prev or up links  --  This is the top of the INFO tree" 31 63 (fontified nil)) . 0) nil (0 . -1) nil (8 . 1) (9 . 18))

martin